import { EventFragment } from "@/gql/graphql";
import styles from "./eventItem.module.scss";
import Link from "next/link";

export const EventItem = ({ event }: { event: EventFragment }) => {
  return (
    <Link href={`/arrangementer/${event.slug}`}>
      <li className={`${styles.eventItem} linkItem`}>
        <div className={styles.image}></div>
        <div className={styles.text}>
          <h1 className={styles.title}>{event.title}</h1>
          <p className={styles.details}>Detaljer og tidspunkt</p>
        </div>
      </li>
    </Link>
  );
};
